Subject: [Sip] Deregistration

From: "Malleswara Rao Ankem" <[email-masked]>
Date: Tue, 29 May 2007 18:37:48 +0530

Hello,
 Section 10.2 of RFC 3261 indicates the following,
"UAs MUST NOT send a new registration (that is, containing new Contact

header field values, as opposed to a retransmission) until they have

received a final response from the registrar for the previous one or

the previous REGISTER request has timed out."

In Section 10.3, "REGISTER requests MUST

be processed by a registrar in the order that they are received.

REGISTER requests MUST also be processed atomically, meaning that a

particular REGISTER request is either processed completely or not at

all. Each REGISTER message MUST be processed independently of any

other registration or binding changes."

In this scenario can the UA (which is operating on UDP transport) send a
de-register request (to remove the binding) with the same call-id and
Contact header but a incremented c-seq number, while a response for the
"refresh" registration is still pending ?

-Mallesh
_______________________________________________
Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
This list is for NEW development of the core SIP Protocol
Use [email-masked] for questions on current sip
Use [email-masked] for new developments on the application of sip